package com.zbf.system.service;

import java.util.List;

import com.zbf.system.domain.TRkWareNoticeTabBak;

/**
 * 入库通知单明细备份Service接口
 *
 * @author tony
 * @date 2024-06-14
 */
public interface ITRkWareNoticeTabBakService
{
    /**
     * 查询入库通知单明细备份
     *
     * @param id 入库通知单明细备份主键
     * @return 入库通知单明细备份
     */
    public TRkWareNoticeTabBak selectTRkWareNoticeTabBakById(String id);




    /**
     * 查询入库通知单明细备份列表
     *
     * @param tRkWareNoticeTabBak 入库通知单明细备份
     * @return 入库通知单明细备份集合
     */
    public List<TRkWareNoticeTabBak> selectTRkWareNoticeTabBakList(TRkWareNoticeTabBak tRkWareNoticeTabBak);

    /**
     * 新增入库通知单明细备份
     *
     * @param tRkWareNoticeTabBak 入库通知单明细备份
     * @return 结果
     */
    public int insertTRkWareNoticeTabBak(TRkWareNoticeTabBak tRkWareNoticeTabBak);

    /**
     * 修改入库通知单明细备份
     *
     * @param tRkWareNoticeTabBak 入库通知单明细备份
     * @return 结果
     */
    public int updateTRkWareNoticeTabBak(TRkWareNoticeTabBak tRkWareNoticeTabBak);

    /**
     * 批量删除入库通知单明细备份
     *
     * @param ids 需要删除的入库通知单明细备份主键集合
     * @return 结果
     */
    public int deleteTRkWareNoticeTabBakByIds(String[] ids);

    /**
     * 删除入库通知单明细备份信息
     *
     * @param id 入库通知单明细备份主键
     * @return 结果
     */
    public int deleteTRkWareNoticeTabBakById(String id);

    /**
     * 批量禁用入库通知单明细备份
     *
     * @param ids 需要禁用的入库通知单明细备份主键集合
     * @return 结果
     */
    public int disabledTRkWareNoticeTabBakByIds(String[] ids);

    /**
     * 批量启用入库通知单明细备份
     *
     * @param ids 需要启用的入库通知单明细备份主键集合
     * @return 结果
     */
    public int enableTRkWareNoticeTabBakByIds(String[] ids);

    /**
     * 改变状态
     *
     * @param tRkWareNoticeTabBak
     * @return 结果
     */
    public int updateStatus(TRkWareNoticeTabBak tRkWareNoticeTabBak);

    List<TRkWareNoticeTabBak> select(TRkWareNoticeTabBak tRkWareNoticeTabBak);


}

